Какво е новото в SkypeTalking
Последно обновление: %%mtime(%x)

=Версия 0.9.3=

- SkypeTalking вече пак би трябвало да работи на компютри, на които имената на потребителите съдържат в себе си знаци невключени в английската азбука.
- SkypeTalking вече пак би трябвало да открива по-стари версии на JAWS, като 8.0 примерно, вместо да превключва речевия си изход на SAPI5. Поправено в Accessible Output 0.7.4.
-

=Версия 0.9.2=

- Обновен е сръбския превод.
- Оправени са неработещия Sapi5 речев изход и неработещата функция за автоматично откриване на екранния четец, повредени във версия 0.9.
-

=Версия 0.9.1=

- Подобрена е работата с конфигурационния файл. Ако файла с настройките не може по някаква причина да бъде зареден, ще се заредят настройките по подразбиране.
- Поправена е поддръжката за Sapi5 и автоматичното засичане на екранния четец, което беше повредено във версия 0.9.
- Обновени са Accessible Output библиотеките до версия 0.7.2. Това би трябвало да оправи проблема при който SkypeTalking не може да засече някои версии на JAWS и вместо това превключва речевия си изход на Sapi5.
- Обновена е руската документация.
-

=Версия 0.9=

==Нови възможности==[features]

- Добавена е възможността за обновяване на SkypeTalking, което ще ви позволи да изтеглите и да обновите SkypeTalking до най-новата му версия, като просто използвате клавишната комбинация по подразбиране Alt+Control+Shift+U. Също така можете да зададете кой вариант на програмата бихте искали да изтеглите (инсталационен или преносим), както и да ли SkypeTalking ще прави автоматична проверка за нова версия при стартирането си. Тези настройки се намират в Настройки->категория Обновления.
- Добавена е функцията SkypeTalking клавишен описател, която може да се включва/изключва по подразбиране с клавишната комбинация Alt+Control+Shift+K. Тази функционалност просто описва за какво служат дадените клавишни комбинации, вместо да ги изпълнява при натискането им. С други думи казано, това работи на принципа на функционалността Keyboard Help на JAWS, или Input Help при екранния четец NVDA.
- Добавена е нова категория в настройките - Бързи клавиши, в която ще можете да преглеждате и променяте по ваш вкус всички клавишни комбинации на SkypeTalking. Не изисква рестартиране, и вече не е необходимо ръчно редактиране на .ini файла.
- Добавена е нова функция за преглед на Скайп събитията, които са протекли по време на текущата сесия на SkypeTalking. Можете да преглеждате промени в Скайп статусите, събития свързани със Скайп разговорите, събития свързани със съобщенията, събития свързани с прехвърлянето на файлове, събития свързани с действия от страна на потребителите, и събития свързани с гласови съобщения. Клавишните комбинации по подразбиране използвани за преглед на буфера със събитията са документирани в помощния файл на SkypeTalking.
- Добавена е базова поддръжка за управление на гласови съобщения (гласова поща). Можете да възпроизвеждате и изтривате своите гласови съобщения. Клавишната комбинация по подразбиране за преглед на последното гласово съобщение е Alt+Control+Shift+W. Ако я натиснете двукратно, гласовото съобщение ще бъде отворено и възпроизведено. Ако я натиснете трикратно, Гласовото съобщение ще бъде изтрито.
- •Сега вече можете да избирате между два режима за преглед с Alt+Control+Shift+цифрите от 1 до 0, Режим на гласови съобщения или Режим на текстови съобщения. Между двата режима може да се превключва като се ползва клавишната комбинация по подразбиране Alt+Control+Shift+Z. Ако сте в Режим на текстови съобщения, Alt+Control+Shift+цифрите от 1 до 0 ще ви позволи да прегледате последните 10 чат съобщения, както в предходните версии. Ако сте в Режим на гласови съобщения, Alt+Control+Shift+цифрите от 1 до 0 ще ви позволи да прегледате, възпроизведете, и да изтриете последните 10 гласови съобщения.
- Добавена е командата за съобщаване на състоянието на текущия разговор, по подразбиране Alt+Control+Shift+L. Тя ще ви съобщи и ако вашият микрофон е заглушен. Ако бъде натисната двукратно, ще отвори един диалогов прозорец, позволявайки ви да се обадите на някого, въвеждайки неговото Skype име, или осъществяването на конферентен разговор чрез въвеждането на повече от 1 Skype имена разделени помежду си със запетая или точка и запетая.
- Добавена е команда за съобщаване на текущото входно/изходно състояние на Skype, по подразбиране Alt+Control+Shift+X. Тя ще съобщи имената на текущо използваните от Skype входящи и изходящи аудио/видео устройства.
- Добавена е възможността за следене на активните файлови прехвърляния (дори ако повече от едно прехвърляне е активно в момента) чрез двукратно натискане на клавишната комбинация по подразбиране Alt+Control+Shift+F. След това можете да си изберете едно от активните в момента файлови прехвърляния от списъка и натиснете Enter за да зададете да бъде следен.
- SkypeTalking вече ще ви уведомява когато някой ви заяви пълномощно. Но засега вие ще трябва да приемете/отхвърлите пълномощното през интерфейса на Skype. Приемането на пълномощно през SkypeTalking е планирано за някоя последваща версия.
- Добавено е нов тип уведомление, което ще ви позволи автоматично да чуете когато някой промени своето съобщение с настроение. Можете да намерите тази опция в Настройки/категория Уведомления. По подразбиране опцията е изключена.
- Добавена е опцията "Стартирай SkypeTalking заедно с Windows". Ако е включена, SkypeTalking ще се зареди автоматично, когато се впишете в Windows. След това ще зареди и Skype ако е настроен да го направи. Тази опция се намира в Настройки/категория Общи.
- Добавена е категорията Четене в настройките, която ви позволява да настройвате какво количество информация да бъде четено от SkypeTalking. Включва четенето на датата и часа към съобщенията, четенето на името на абоната заедно със съобщението от него, или да казва "Skype уведомление" преди или след всяко Skype уведомление.
- Добавена е категорията Разширени в настройките, която е предназначена за задаване на настройки като как ще се зарежда Skype когато бива стартиран от SkypeTalking, или колко пъти SkypeTalking автоматично ще се опитва да се свърже със Skype ако свързването е неуспешно.
- Добавена е опцията за показване на абонатите които са извън линия в Диспечера на Абонатите. Опцията е изключена по подразбиране, което означава, че в този списък ще се появят само абонатите, които са на линия в Skype. Опцията се намира в Настройки->категорията Диспечер на Абонатите.
- Прозорецът за преглед на профила в Диспечера на Абонатите сега съдържа и полето "Друга информация", в което пише дали избрания абонат има оборудване за провеждане на разговори, уеб-камера, или активирана гласова поща.
- Върната е иконата на SkypeTalking в областта за уведомяване. Можете да я скриете като изключите опцията "Показвай иконата на SkypeTalking в областта за уведомяване" в Настройки->категория Общи.
- Контекстното меню за иконата на SkypeTalking в областта за уведомяване е разширено с подменютата Инструменти и Помощ. Меню Инструменти съдържа преки пътища за достъп до Диспечера на Абонатите, SMS Съветника и Настройките, а менюто помощ съдържа Проверка за обновления, Списък с промените, Помощна документация и Относно.
- Прозорецът "Относно SkypeTalking" е изцяло подновен, и съдържа допълнителни бутони като Сътрудници, Преглед на онлайн лиценза, Преглед на списъка с промените, Потребителска документация и Проверка за обновления.
- Добавени са езиците: Белоруски, Датски, Иврит, Грузински, Латвийски, Литовски и Словенски.
-

==Промени и подобрения==[improvements]

- Подобрения в това което се докладва за файловите прехвърляния. Вече можете да разберете колко процента от файла са прехвърлени, както и оставащото време до края на прехвърлянето (за текущо наблюдавано файлово прехвърляне).
- SkypeTalking вече правилно ще разпознава имената на преименуваните абонати, вместо да ги оповестява с техните оригинални Име и Фамилия или Skype име, дори когато те са били преименувани от потребителя.
- Командата за промяна на Skype статуса, Alt+Control+Shift+Backspace е опростена. Сега трябва само да си изберете желания от вас статус от наличните в списъка и да натиснете Enter за да потвърдите избора и да задействате избрания статус.
- Премахната е командата съобщаваща името на звънящия ни абонат. Тя е заместена от командата докладваща състоянието на текущия разговор.
- В английския интерфейс, прозореца с настройките е преименуван от Settings на Preferences.
- Прозорецът с настройките е преработен и модернизиран, тъй че сега вместо табове, разделите са обозначени с дървовидна структура (TreeView). Можете да се предвижвате в тази дървовидна структура със стрелките за нагоре и надолу, и да се предвижвате между опциите в дадена категория ползвайки Tab и Shift+Tab. 
- Добавен е бутона Apply към настройките в допълнение към OK и Cancel.
- Променени са етикетите за някои опции в настройките. Сега те са по-кратки и да се надяваме че звучат по-добре.
- SkypeTalking ще се саморестартира при преминаване към друг език, така че да може промените да влязат в сила.
- Настройките и логовете на SkypeTalking са вече индивидуални за всеки потребител, освен ако не използвате преносимия вариант на програмата. Персоналните настройки се съхраняват в папката documents and settings\ИмеНаПотребителя\Application Data\SkypeTalking.
- Инсталационната папка на SkypeTalking вече се намира в Program Files.
- Дизайна на Диспечера на Абонатите е преработен, така че сега показва абонатите в стандартен списък (ListView) с отметки за избор.
- Зареждането на абонатите в Диспечера на абонати вече е доста по-бързо.
- Разни подобрения в процесите за стартиране и свързване на SkypeTalking.
- SkypeTalking вече ще се опита отново да се свърже със Skype в случай на грешка, вместо просто да се самоизключва. Броят на опитите за свързване може да бъде зададен в Настройки->категория Разширени.
- SkypeTalking вече ще показва съобщение с информация за грешка в инициализацията/стартирането, вместо просто да издава звуков сигнал за грешка.
- SkypeTalking вече ще продължава да следи активните разговори и/или файлови прехвърляния дори след рестарт на програмата, вместо само да съобщава че в момента няма активни разговори или файлови прехвърляния.
- Клавишните комбинации на SkypeTalking с повече от една функция вече реагират по-бързо.
-

==Оправени проблеми==[bugfixes]

- Поправена е бавната реакция при прекратяване на разговор с клавишната комбинация Alt+Control+Shift+End.
- Оправен е проблема при който SkypeTalking не се затваря правилно на някои системи.
- Оправен е проблема с невъзможността да се затвори Skype ако версията на Skype е 5.1 или по-нова.
-

==Обновления==[updates]

- SkypeTalking вече се разработва и компилира с Python 2.7.
- Accessible Output библиотеките са обновени до версия 0.6.1. С тази версия, SkypeTalking ще поддържа и продуктите на Dolphin (Hal, Lunar и Supernova версия 12 или по-нови).
-

=Версия 0.8.1=

==Нови възможности==[features]

- Добавени езици: Арабски, Фински и Сръбски.
- Добавена е команда за съобщаване на името на човека, който ни звъни, Alt+Ctrl+Shift+N по подразбиране. Тя действа по време на разговор, и докато чуваме сигнала за входящо повикване.
-

==Промени и подобрения==[improvements]

- Съобщаването на натиснатите клавишни комбинации отнасящи се до SkypeTalking, което е досадно при работа с някои екранни четци (примерно JAWS), вече не се случва. А това повтаряне се получава тъй като тези екранни четци (примерно JAWS) съобщават всички натиснати клавишни комбинации, особено ако те не са прикрепени към скриптовете му или ако не е изключено нацяло (зададена стойност "none") за клавиатурното му ехо (keyboard echo).
- Зареждането на абонатите в Диспечера на абонатите е леко ускорено.
-

==Оправени проблеми==[bugfixes]

- Вече прозореца с настройките би трябвало да се зарежда безпроблемно, дори при избран немски език в SkypeTalking.
-

==Обновления==[updates]

- Accessible Output библиотеките са обновени до версия 0.4.3. Това означава че SkypeTalking ще работи и с най-новите версии на JAWS 11.
-

=Версия 0.8=

==Нови възможности==[features]

- Добавена е възможност за наблюдение на активните чатове, или с други думи казано, отворените чат прозорци. Използвайте клавишните комбинации Alt+Ctrl+Shift+функционалните клавиши от F1 до F10 за да зададете наблюдаване на един от последните 10 активни чата (натиснете двукратно за да изведете на фокус конкретния чат прозорец). Тогава може да използвате Alt+Ctrl+Shift+цифрите за да четете последните 10 съобщения в текущо наблюдавания чат. Натискането на Alt+Ctrl+Shift+C ще ви каже кой е текущо наблюдавания чат, а двукратното й натискане ще премести фокуса върху дадения чат прозорец.
- Добавена е възможността за прочитане и/или редактиране на вашето съобщение със Скайп настроение. Натискането на Alt+Ctrl+Shift+M ще ви прочете текущото ви Скайп "настроение", а двукратното натискане на
клавишната комбинация ще отвори диалогов прозорец, в който ще можете да промените вашето "Скайп настроение".
- Командата Alt+Ctrl+Shift+O докладва текущия ви Скайп статус, а двукратното й натискане ще ви съобщи текущия ви баланс по вашия Скайп кредит.
- Добавена е команда за докладване времетраенето на текущия разговор, Alt+Ctrl+Shift+D.
- Добавен е диспечер на Скайп абонатите, отварящ се с Alt+Ctrl+Shift+F11, който е алтернатива на списъка с абонати в самия Скайп. Той ще ви покаже вашите Скайп абонати в списък за множествен избор (multi-select list box) позволявайки ви да ги избирате (маркирате) с интервалния клавиш и да прилагате различни действия върху тях, като например гласово повикване, започване на чат или да видите профила им. Също така ще можете да видите информацията за това кога даден абонат е бил в Скайп и в момента е извън линия, което е недостъпно в интерфейса на някои версии на Скайп, и при някои екранни четци, като NVDA примерно. Командата за показване на профила ще извика един прозорец, който ще ви позволи да разгледате Скайп профила на избран абонат чрез използване на Tab и Shift+Tab и стрелките. Командите за повикване и чат се обясняват
от самосебеси. Натискането на Alt+Ctrl+Shift+F11 двукратно ще премести фокуса върху списъка с абонати в прозореца на Скайп. Ако е избран повече от един абонат, ще имате възможност да започнете конферентен разговор или конферентен чат.
- Добавени са команди за отговор на и затваряне на разговор, Alt+Ctrl+Shift+Home и Alt+Ctrl+Shift+End (не и тези от цифровия блок). Натискането на Alt+Ctrl+Shift+Home по време на разговор ще превключва между задържане и подновяване на текущия разговор. Натискането на Alt+Ctrl+Shift+Home двукратно и бързо ще отговаря на дадено обаждане и ще го присъединява към вече провеждащия се разговор (тоест - добавяне
към конферентен разговор). Натискането на Alt+Ctrl+Shift+End двукратно и бързо ще заглушава или освобождава микрофона.
- Добавена е възможност за пращане на SMS съобщения с помощта на SkypeTalking. Командата Alt+Ctrl+Shift+S ще отвори един "SMS съветник", който ще ви позволи да изпратите SMS към който и да е телефонен номер.
Има два прозореца, първият е за телефонния номер, а втория - за текста на съобщението. Когато въвеждате номер използвайте знака за точка и запетая за да разделите номерата един от друг (ако са повече от един) и
не забравяйте да добавите кода на държавата към номера. Ако всичко е точно, Натиснете Enter за да продължите. След това, въведете текста на вашето SMS съобщение, и натиснете Enter или табнете до бутона "Изпрати" и го активирайте, или натиснете Escape или "Отказ" ("Cancel") за да отмените изпращането. Докато пишете съобщение, може да натиснете F2 за да проверите вашият текущ брой SMS съобщения, колко знака ви остават, както и текущата цена на SMS съобщенията. Ще бъде възпроизведен звуков сигнал, ако броя на допустимите знаци за едно съобщение достигне 0.
- В прозореца с настройките е добавена нова опция за автоматично затваряне на Скайп, при изход от SkypeTalking. По подразбиране е включена.
- В прозореца с настройките е добавена нова опция, "Потвърждение при изход от SkypeTalking ". Тя по подразбиране е включена, тъй че сега при изход от SkypeTalking, ще трябва да потвърдите че наистина искате да затворите програмата. Ако е изключена, SkypeTalking ще работи като в предишните версии, което означава че при изход няма да ви пита за потвърждение. Тази опция беше добавена с цел да предотврати случайното затваряне на SkypeTalking от страна на потребителите.
- Добавена е възможността за персонализиране на клавишните комбинации на SkypeTalking, но засега ще трябва да редактирате INI файла, за да го направите. Табът в графичния интерфейс за персонализиране на клавишните комбинации е планиран за следващата версия. Ако зададената клавишна комбинация във файла SkypeTalking.INI е неправилна, то клавишната комбинация по подразбиране ще бъде използвана,
но също така потребителят ще бъде уведомен за грешно зададената клавишна комбинация. Може да променяте всички клавишни комбинации в раздела [shortcuts]. Моля използвайте тази функционалност внимателно, и също така рестартирайте SkypeTalking ако промените не се задействат веднага.
- Добавени езици: Датски и Френски.
-

==Промени и подобрения==[improvements]

- Командата за четене на последното чат съобщение е променена от Alt+Ctrl+Shift+M на Alt+Ctrl+Shift+R. А ако се натисне двукратно, ще премести фокуса и наблюдаването върху този чат.
- Командата за изход от SkypeTalking е променена от Alt+Ctrl+Shift+F4 на Alt+Ctrl+Shift+Q (за Q като Quit - Изход).
- Командата за отваряне на прозореца с настройките е променена от Alt+Ctrl+Shift+S на Alt+Ctrl+Shift+P (за P като Preferences - Настройки/Предпочитания).
- Премахната е иконата от системния жлеб. Сега можете да ползвате асоциираните клавишни комбинации на SkypeTalking вместо контекстното меню на иконата, извиквано с десния бутон на мишката.
- Версията на API опаковчикът бива съобщавана след двукратно натискане на Alt+Ctrl+Shift+V, тъй като тази информация не е от съществена важност за крайните потребители.
- Времетраенето на разговорите вече се докладва с часове, минути и секунди.
- Добавена е информация за скоростта на прехвърляне и количеството прехвърлени данни към командата за статуса на файловите трансфери (Alt+Ctrl+Shift+F).
- SkypeTalking вече няма да позволи да се стартират множество негови копия по едно и също време, и ще възпроизведе звуково предупреждение, ако потребителя случайно опита да стартира друго копие на SkypeTalking докато той е зареден в паметта.
- Ако възникне критична грешка по време на зареждането на SkypeTalking, звуков сигнал ще бъде възпроизведен през вградения в компютъра ви високоговорител. Моля уведомете разработчика на програмата възможно най-скоро щом такова нещо се случи.
-

==Оправени проблеми==[bugfixes]

- SkypeTalking вече няма да игнорира абонати, които не са въвели нищо в полето "Име и фамилия" в техния Скайп профил, и вместо това ще прочита техните Скайп Id-та (името с което абоната се е регистрирал в Скайп). Тъй че вече няма да чувате нещо от сорта на "Скайп: е на линия".
- При отваряне на прозореца с настройките, фокусът е адекватно поставен в падащия списък (combo box) за избор на език.
- В прозореца с настройките, бутоните Ok и Cancel вече не биват пропускани при навигиране със Shift+Tab.
-

=Version 0.7=

==Нови възможности==[features]

- Може да четете последните 10 чат съобщения с клавишна комбинация ALT+CTRL+SHIFT+цифрите от цифровия ред (примерно CTRL+ALT+SHIFT+1 ще прочете най-новото чат съобщение, CTRL+ALT+SHIFT+2 ще прочете по-старото чат съобщение, и т.н.). Ако натиснете клавишната комбинация двукратно, съобщението ще бъде копирано в клипборда. А ако натиснете клавишната комбинация трикратно при наличие на линк (URL адрес) в даденото чат съобщение, той ще бъде зареден във вашия интернет браузър.
- Може да сменяте циклично вашия Скайп статус, натискайки CTRL+ALT+SHIFT+BACKSPACE.
- Има основна поддръжка на файловите трансфери. CTRL+ALT+SHIFT+F ще ви съобщи статуса на последно активния файлов трансфер.
- Добавени езици: Чешки, Турски, Японски и Малайски.
-

==Промени и подобрения==[improvements]

- По-добро манипулиране на състоянието на разговорите.
- Променена е директорията за инсталиране по подразбиране и е в кореновата директория на вашия системен дял (там където ви е инсталиран Windows) с цел избягване на проблеми при Windows Vista и Windows 7.
-

==Обновления==[updates]

- Accessible Output библиотеките са обновени.
-

=Версия 0.6.1=

- Добавени езици: Български, Китайски (мандарин), Немски, Италиански, Унгарски, Полски, Руски, Украински и Португалски.
- Добавена е команда за повтаряне на последното събитие, с клавишна комбинация Alt+Ctrl+Shift+E.
- Командата за повтаряне на последното чат съобщение е променена от Alt+Ctrl+Shift+Tab на Alt+Ctrl+Shift+M.
-

=Версия 0.6=

- Добавен е прозорец за настройките.
- Добавена е многоезична поддръжка.
- Добавени са глобални клавишни команди.
- SkypeTalking вече поддържа статусите Непознат и SkypeOut.
- Вече можете да включвате/изключвате четенето на входящите и изходящите чат съобщения поотделно.
- Разни малки поправки.
-

=Версия 0.5.1=

- Добавена е поддръжка за екранните четци JAWS, Window-Eyes и System Access, както и поддръжка за изход чрез SAPI5.
- Добавен е конфигурационния файл SkypeTalking.ini където можете да настройвате речевия и брайлов изход, гласовите параметри за SAPI5, и други променливи настройки на SkypeTalking. Имайте предвид че засега няма прозорец за настройките, тъй че настройките ще трябва да бъдат правени ръчно във файла SkypeTalking.ini.
- Добавен е файл съдържащ важна информация (SkypeTalking.log) за разработчиците. Моля, включвайте този файл в докладите си за проблеми с програмата!
- Добавена е опция за автоматично зареждане на Skype ако не е зареден при стартирането на SkypeTalking.
- Добавена е опция за автоматично четене на чат съобщенията. Препоръчва се да я изключите ако ползвате SkypeTalking заедно с JAWS скриптовете за Skype за да избегнете двойно четене на чат съобщенията.
- Добавена е възможността за включване/изключване на съобщаването за отделните Skype статуси. По подразбиране, всички статуси биват съобщавани.
- По-добро съобщаване на Skype статусите.
- Изцяло пренаписан прозорец "Относно". Добавен е номера на текущата версия, URL и информация за авторските права.
-

=Версия 0.5=

Първо издание, добавени са основни функционалности:
- Прочитане на поздравително съобщение, включващо името на текущо вписания потребител
- Съобщаване дали има връзка със Skype API
- Съобщаване при промяна на Skype статусите на потребителя и неговите абонати, вкл. на линия, извън линия, отсъстващ, недостъпен и пр..
- Съобщаване на типа на повикванията и името на звънящия
- Прочитане на входящите и изходящите чат съобщения
- Поддръжка за NVDA (един безплатен и с отворен код екранен четец) (изход с глас и брайл)
- Работи в областта за уведомяване, добавени са командите Относно и Изход към контекстното меню извиквано с натискане на десния бутон на мишката върху иконата
-
